import { ONVIFEvent } from "./event";
import { ONVIFDevice } from "./device";
import { ONVIFMedia } from "./media";
import { ONVIFAnalytics } from "./analytics";
import { ONVIFDisplay } from "./display";
import { ONVIFImaging } from "./imaging";
import { ONVIFProvisioning } from "./provisioning";
import { ONVIFPTZ } from "./ptz";
import { ONVIFReceiver } from "./receiver";
import { ONVIFRecording } from "./recording";
import { ONVIFReplay } from "./replay";
import { ONVIFSearch } from "./search";
import { ONVIFAdvancedSecurity } from "./advancedsecurity";
import { IDeviceConfig } from "../config";
export declare class ManagedONVIFApi {
    private config;
    Event: ONVIFEvent;
    Device: ONVIFDevice;
    Media: ONVIFMedia;
    Analytics: ONVIFAnalytics;
    Display: ONVIFDisplay;
    Imaging: ONVIFImaging;
    Provisioning: ONVIFProvisioning;
    PTZ: ONVIFPTZ;
    Receiver: ONVIFReceiver;
    Recording: ONVIFRecording;
    Replay: ONVIFReplay;
    Search: ONVIFSearch;
    AdvancedSecurity: ONVIFAdvancedSecurity;
    constructor(config: IDeviceConfig);
}
export * from "./event";
export * from "./device";
export * from "./media";
export * from "./analytics";
export * from "./display";
export * from "./imaging";
export * from "./provisioning";
export * from "./ptz";
export * from "./receiver";
export * from "./recording";
export * from "./replay";
export * from "./search";
export * from "./advancedsecurity";
